2005-04-27  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Version 1.1.3. 

2005-04-26  Jens Petersen  <petersen@redhat.com>

	* capplet/im_settings_daemon.c (set_im_settings_property):
	"application" not "application_frame", so that status placement
	really defaults to under-app.

2005-04-22  Jens Petersen  <petersen@redhat.com>

	* src/widgets.c (place_widgets): Drop name, since lang is needed
	for current_iiim_lang init hack.  Put gimlet_language_find_short
	calls on lang in conditional test clauses instead.  Fixes
	longstanding bug of lang label being blank on startup.

2005-04-22  Ervin Yan  <ervin.yan@sun.com>

	* src/gimlet-lang-data.h: add m17n languages list

2005-04-22  Jens Petersen  <petersen@redhat.com>

	* src/widgets.c (on_pixbuf,off_pixbuf,disabled_pixbuf): Now global
	static variables instead of being part of GimletWindow struct.
	(icon_set_text): Use disabled_pixbuf when im disabled.  Use
	on_pixbuf, off_pixbuf and disabled_pixbuf.

	* src/main.c (gimlet_applet_new): Make FOLLOW_QUICK_ACCESS_MENU
	the default instead of FOLLOW_APPLICATION.

	* src/gnome-im-switcher.h (struct _GimletWindow): Remove on_pixbuf
	and off_pixbuf, since they are now static global variables.

	* src/Makefile.am (icons_DATA): Add gimlet-disable.png

	* src/gimlet-off.png, src/gimlet-on.png: New design by Diana Fong.

	* src/gimlet-disable.png: New icon by Diana Fong added to show
	when iiim is disabled.

	* configure.ac: Make the default default status placement be under
	application and rename --with-status-default-under-app to
	--with-status-default-in-panel.

2005-04-19  Ervin Yan  <ervin.yan@sun.com>

	* acconfig.ac: add 3rd arg for AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE)
	for autoheader

2005-04-19  Jens Petersen  <petersen@redhat.com>

	* acconfig.ac: Remove since it is not needed and makes
	bootstrapping verbose.

2005-04-15  Ervin Yan <ervin.yan@sun.com>

	* autogen.sh: s/configure.in/configure.ac.

2005-04-14  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Renamed from configure.in.

2005-04-13  Jens Petersen  <petersen@redhat.com>

	* autogen.sh: No longer require automake-1.4.

	* configure.in: Name package iiimf-im-switcher.  Call
	AM_INIT_AUTOMAKE without arguments.  Use PACKAGE to output name.

2005-02-28  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* capplet/main.c : correct help file name and link.

2004-11-16  Jens Petersen  <petersen@redhat.com>

	* src/widgets.c (place_widgets): g_strdup the "en" lang string
	when no LE for the locale to stop segfault and hanging.

2004-11-10  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/gimlet-lang-data.h: show gimlet at login to euro languages.

2004-10-29  Jens Petersen  <petersen@redhat.com>

	* src/language.c (gimlet_language_get_conversion_mode): Move lang
	and the final return statement into the while loop to avoid chance
	of lang being undefined when returning.

	* src/gimlet-lang-data.h: Add native language names for Indic Tamil,
	Gujarati, Punjabi.  Fix the locale of Bengali.

	* src/widgets.c (place_widgets): Initialize box and lang_box
	to silence recent gcc.

2004-10-14  Jens Petersen  <petersen@redhat.com>

	* configure.in: Bump version to 1.1.2.

	Fixes to get the help callbacks working correctly and update the
	help documentation:

	* help/C/imswitcher.xml: Documentation updated for version 1.1.1.
	Feedback to openi18n-im list.  Removed obsolete figure for now.
	Removed "Sun JDS" strings.  Removed the obsolete appearance
	preferences subsection .  Added a section about
	gnome-im-properties, aka gimpet.
	
	* help/C/imswitcher-C.omf: Drop "Java Desktop System" strings.
	Version 2.1.  Document is "imswitcher.xml".
	
	* help/C/Makefile.am (figdir): Removed for now.

	* src/widgets.c: (help_verb_cb): Just call gimlet_util_show_help
	to show index instead of launching browser in IIIM help.

	* src/utils.c (gimlet_util_show_help): Use
	gnome_help_display_desktop_on_screen not gnome_help_display for
	applet.

	* src/preference.c: (response_callback): Show help at
	imswitcher-prefs-inputlanguage.

	* src/language.c (response_callback): Show help at
	imswitcher-usage-add.

	* src/Makefile.am (INCLUDES): Add defines for DATADIR, LIBDIR,
	SYSCONFDIR and PREFIX to get help files found.

	Changes to make the default for status placement configurable
	from configure:

	* src/widgets.c: Include "utils.h".
	(gimlet_register_signal_child_handler): No longer needed.
	(gimlet_signal_child_handler): Ditto.
	(place_widgets): Place status label before lang icon.
	Remove redundant cast from gimlet_language_find_short.

	* src/status-placement.h.in: New file separated from
	"preference.h".  Defines IMStatusPlacement and
	DEFAULT_STATUS_PLACEMENT, and exports gimlet_status_placement and
	gimlet_status_placement_name.

	* src/status-placement.c: New file to carry common
	status_placement code.
	(PANEL_PLACEMENT): was on_desktop_panel.
	(APPL_PLACEMENT): was attach_to_application_frame.
	(gimlet_status_placement): New function to convert "panel" or
	"application" to IMStatusPlacement.
	(gimlet_status_placement_name): New function, inverse to
	gimlet_status_placement.

	* src/preference.c: Order local include files lexically.
	Include "status-placement.h".  on_desktop_panel and
	attach_to_application_frame strings moved to
	"status-placement.c".  
	(init_im_settings): Use gimlet_status_placement.
	(im_setting_changed): Ditto.

	* src/gnome-im-switcher.h: Include "status-placement.h".
	(IMStatusPlacement): Moved to "status-placement.h.in".

	* src/Makefile.am (gnome_im_switcher_applet_SOURCES): Add new
	files "status-placement.c" and "status-placement.h.in".

	* capplet/main.c: Include "status-placement.h", so no longer need
	to define IMStatusPlacement, on_desktop_panel and
	attach_to_application_frame.
	(im_toggled): Fix spelling of HIDE_WHEN_DISABLED.
	(im_status_placement_changed): Use gimlet_status_placement.
	(revert_to_default): Use DEFAULT_STATUS_PLACEMENT to
	default STATUS_PLACEMENT_KEY rather than hard-coding.
	Use gimlet_status_placement rather than	hard-coding current_setting.
	(setup_dialog): Use gimlet_status_placement.
	Fix spelling of HIDE_WHEN_DISABLED.
	Handle dialogue destroy signal with gtk_main_quit.

	* capplet/im_settings_daemon.c: Include "status-placement.h" and
	nolonger need to define IMStatusPlacement, on_desktop_panel and
	attach_to_application_frame.
	(setup): Use gimlet_status_placement.

	* capplet/gnome-im-properties.schemas.in.in: Renamed from
	gnome-im-properties.schemas.in.  Use DEFAULT_STATUS_PLACEMENT
	to seed status_placement key.

	* capplet/Makefile.am (gnome_im_properties_SOURCES): add
	"src/status-placement.c".
	(gnome_im_settings_daemon_SOURCES): Ditto.
	(gnome_im_properties_LDFLAGS): Don't need -export-dynamic.
	(gnome_im_settings_daemon_LDFLAGS): Ditto.
	(INCLUDES): Include "src" for "status-placement.h".

	* configure.in: Add new configure option
	--with-status-default-under-app to allow changing the default
	status placement to be attached to the application window rather
	than the hard-coded default of on the panel.
	New config variable DEFAULT_STATUS_PLACEMENT handles this.
	Add "src/status-placement.h" and
	"capplet/gnome-im-properties.schemas.in" to the list of files that
	configure should generate.

2004-10-12  Hidetoshi Tajima  <tajima@red.iplanet.com>

	* capplet/im_settings_daemon.c: uncomment attach_to_application_frame
	to let build go again.

2004-10-05  Jens Petersen  <petersen@redhat.com>

	* src/gnome-im-switcher.glade2: Remove surrounding notebook in
	preferences dialog for now.

2004-10-04  Jens Petersen  <petersen@redhat.com>

	* configure.in: Bump version to 1.1.1.

	* src/widgets.h (gimlet_status_show_or_hide): Add

	* src/widgets.c: Include "language.h".
	(about_verb_cb): My name probably doesn't need to be translated.
	(show_dialog): Remove since not used.
	(icon_set_text): Remove cast on gimlet_language_find_short.
	(update_tooltips): Remove casts on gimlet_language_find_name
	and gimlet_language_find_description.
	(place_widgets): alignment unused.
	(place_widgets): Remove casts on gimlet_language_find_short.

	* src/quick-access-menu.c: Include "widgets.h".
	(get_menu_pos): reqapplet not used.
	(activate_cb): name not used.
	(quick_lang_menu_init): No need to cast iiim_lang_name and
	name when calling g_object_set_data.
	(quick_lang_menu_init): Ditto.

	* src/preference.c: Comment out unused constant enabled.
	(gimlet_preference_init): key was unused.
	(add_languages_in_option_menu): No need to cast iiim_lang_name and
	name when calling g_object_set_data.

	* src/main.c (phelp_cb): Remove unused function.

	* src/language.h: Fix declaration of gimlet_language_find_short.

	* src/language.c (DEFAULT_LANG): Moved to
	"src/gimlet-lang-data.h".
	(GimletLanguageIndex): Ditto.
	(struct _GimletLanguage): Ditto.
	(gimlet_language_find_short): Drop cast on g_strndup.
	(remove_string_from_list): Comment unused function.
	(language_list_to_description_list): Ditto.

	* src/iiim-interface.c (process_language_list): Remove cast on
	g_strndup.
	(gimlet_iiim_selection_set): switcher not used.

	* src/gimlet-lang-data.h: Move DEFAULT_LANG, GimletLanguageIndex,
	_GimletLanguage struct here too from "src/language.c".

	* capplet/im_settings_daemon.c: Include "gprintf.h".
	Comment out unused constants: attach_to_application_frame,
	nothing, callback, none and enabled - to silence -Wall.

2004-09-28  Hidetoshi Tajima  <tajima@red.iplanet.com>

	* src/widgets.c : add Jens Petersen <petersen@redhat.com> to the
	authors.

2004-09-28  Jens Petersen  <petersen@redhat.com>

	Summary: The Gimlet background image now changes between an off
	and an on icon depending on the state of the current iiimf input
	method.  The current selected input language is always written on
	the image irrespective of the input state.  The visual preferences
	has been cut out in preference to using the desktop defaults for
	now.  When the input method status text is displayed in the panel,
	it now appears in a label next to the language icon.  A lot of
	fixes and improvements to the language quick menu and some to the
	language edit dialog have also been made.

	* configure.in: Bump version to 1.1.0.

	* AUTHORS: Add some contributors.

	* src/widgets.h: Drop gimlet_window_show_or_hide, gimlet_update,
	gimlet_change_icon, gimlet_draw_icon, gimlet_change_status_font
	and gimlet_change_status_color.
	Add gimlet_update_lang and gimlet_status_set_text.

	* src/widgets.c (edit_preferences_destroyed_cb): Renamed from
	edit_preferences_destroyed_callback.
	(show_preferences_dialog): Connect to edit_preferences_destroyed_cb
	instead of edit_preferences_destroyed_callback.
	(about_verb_cb): Add copyright to Red Hat too.
	(do_not_eat_button_press): Removed since it doesn't seem to do
	anything effectively.
	(unfix_size): No longer needed in new simplified UI.
	(size_request): Ditto.
	(icon_size_allocate): Ditto.
	(init_pixbuf): New helper function to load a pixbuf from a file.
	Replaces init_base_pixbuf.
	(icon_set_text): New function that draws the language text onto
	pixbuf in drawing_area.
	(update_tooltips): New function that updates the language tooltip.
	(drawing_area_expose_cb): New function that updates the language
	icon for expose signals.
	(place_widgets): Rename hbox to box.  Local variable label is no
	longer needed.  prev_allocation no longer used.  Constrainted
	pixbuf is replaced by drawing_area.  Use extra vbox or hbox
	lang_box hack to center drawing_area for now for horizontal or
	vertical panel respectively. 
	Initialize current_iiim_lang from locale.  Setup on_pixbuf and
	off_pixbuf background pixbufs with init_pixbuf.  Fix width of
	drawing_area from size of off_pixbuf and connect expose events to
	drawing_area_expose_cb.  Call gimlet_update_lang instead of
	gimlet_change_icon and gimlet_draw_icon.  Setup status
	label empty.  Size_request removed for now.  Style_set callback
	and calls to gimlet_change_status_font and gimlet_change_status_color
	no longer used in new simply UI.
	(gimlet_init): Do not setup tooltips here anymore.  Call
	gimlet_language_init rather than gimlet_window_show_or_hide.
	(draw_scaled_icon): Replaced by icon_set_text.
	(update_and_scale_icon): Replaced by icon_set_text.
	(expose_cb): Replaced by drawing_area_expose_cb.
	(gimlet_status_show_or_hide): Renamed from gimlet_window_show_or_hide.
	Only affects status label.  Also check im_enabled.
	(gimlet_update_lang): New function that simply queues drawing_area
	for redrawing.  Replaces gimlet_update.
	(gimlet_change_base_icon): No longer used by new simply UI.
	(gimlet_change_icon): Ditto.
	(gimlet_draw_icon): Ditto.
	(gimlet_change_status_font): Ditto.
	(gimlet_change_status_color): Ditto.
	(gimlet_status_set_text): New function to update the status label.

	* src/quick-access-menu.c (lelist): No longer global.
	(le_langs_list): Ditto.
	(activate_cb): menuitem is no longer GtkCheckMenuItem.
	language was unused.  Call gimlet_update_lang instead of setting
	applet tooltips.
	(change_style): No longer needed with simplified UI.
	(turn_off_cb): New callback function for turning off iiimf when
	"ASCII" is selected.
	(get_iiimf_lang_le_list): Renamed from get_iiimf_le_list.  Takes
	an extra argument that specifies the lang to seatch for and
	returns an GSList of LEs found for the lang.
	Add lelist as local variable. 
	Only duplicate LEs for the the same lang are excluded now.
	(quick_lang_menu_init): Use GtkMenuItem's instead of
	GtkCheckMenuItem's for now.  Rewrite while loop as a pointer loop.
	Skip "ASCII" from main lang list and add it separately at bottom
	connecting to turn_off_cb.  Drop call to change_style.
	Use new get_iiimf_lang_le_list and setup submenu only if it
	returns more than one LE for the language otherwise just use a
	toplevel menuitem for a single LE.  has_le no longer needed.
	legroup was unused.  Inner for loop is now a pointer loop.
	le_langs_list is no longer needed.
	
	* src/preference.c: No need to include "gtkdrawingarea.h".
	(appearance_update): No longer needed with simplified UI.
	(on_text_only_toggled): Ditto.
	(on_text_and_icon_toggled): Ditto.
	(text_width_size_changed): Ditto.
	(icon_picker_changed): Ditto.
	(update_color): Ditto.
	(use_theme_colors_changed): Ditto.
	(THEME_FONT_DIR): Ditto.
	(THEME_FONT_KEY): Ditto.
	(gimlet_get_theme_font): Ditto.
	(update_font): Ditto.
	(use_theme_font_changed): Ditto.
	(default_font_changed): Ditto.
	(color_changed): Ditto.
	(show_icon_changed): Ditto.
	(show_text_changed): Ditto.
	(icon_name_changed): Ditto.
	(text_width_changed): Ditto.
	(change_font): Ditto.
	(gimlet_preference_set_font): Ditto.
	(gimlet_preference_set_color): Ditto.
	(font_checkbutton_toggled): Ditto.
	(colors_checkbutton_toggled): Ditto.
	(gdk_color_to_string): Ditto.
	(menu_font_picker_font_set): 
	(status_font_picker_font_set): Ditto.
	(text_color_set): Ditto.
	(background_color_set): Ditto.
	(preference_get_colors): Ditto.
	(colorpicker_set_if_changed): Ditto.
	(gimlet_preference_init): Remove the gconf code for fonts and
	colors.  Call init_im_settings instead of update_im_settings.
	(init_im_settings): Renamed from update_im_settings.
	(im_setting_changed): Call gimlet_update_lang.  Call
	gimlet_status_show_or_hide instead of gimlet_window_show_or_hide.
	(activate_cb): Local variable language was not used.
	(gimlet_preference_dialog_new): tooltips was unused.  Remove all
	appearance code.

	* src/main.c (gimlet_applet_new): Remove setting of obsolete
	fields: showicon, showtext, use_theme_font, use_theme_colors,
	menu_font, status_font, fixed_width, fixed_height and
	base_iconname for now.
	Initialize conversion_mode and call gimlet_init.

	* src/language.h: Add new functions gimlet_language_find_name,
	gimlet_language_find_description and gimlet_language_find_short.

	* src/language.c: (g_languages): Include it from gimlet-lang-data.h.
	(update_single_tree_model): Do not include ASCII in list of active
	languages.
	(gimlet_language_find_name): New exported function.  Returns the
	name field of the language passed.
	(gimlet_language_find_description): Ditto for description field.
	(gimlet_language_find_short): New exported function.  Returns two
	abbreviation of language for display on language icon.  Chinese is
	special-cased to SC and TC.
	(update_active_languages_from_string_list): Append to active list,
	so it doesn't need to be reversed.
	(language_list_to_description_list): Ditto.
	(language_list_to_iiim_lang_list): Ditto.
	(gimlet_language_get_active_languages): Ditto.
	(gimlet_langmenu_dialog_new): Exclude ASCII from list of languages.
	(gimlet_language_init): Only translation the description.

	* src/iiim-interface.c (process_current_input_language): Call
	gimlet_update_lang to update language display.
	(process_status_text): Add a local variable to hold cast of data
	and use it.  Off status string is now empty instead of "OFF".
	Set conversion_mode appropriately [should really be handled by
	process_conversion_mode].  Use gimlet_status_set_text and
	gimlet_update_lang, instead of gimlet_init, gtk_label_set_text
	and gimlet_change_icon.
	(process_conversion_mode): Added comment about this apparrently
	not getting reached currently.  Update conversion_mode and
	call gimlet_update_lang.
	(selection_request_switcher_window): Call gimlet_update_lang.
	(property_notify_switcher_window): No longer call gimlet_update.
	(gimlet_iiim_language_set): Remove data since it doesn't seem to
	be needed.
	(gimlet_iiim_conversion_mode_set): Ditto.

	* src/gnome-im-switcher.schemas.in: Remove the following key that
	are not used in the new simply UI: show_icon, show_text,
	text_width, icon_name, use_theme_colors, text_color,
	background_color, use_theme_font, menu_font, status_font, 

	* src/gnome-im-switcher.h: No longer include "constraint-scaling.h".
	The following fields are no longer used in the new simplified UI:
	base_iconname, orientation, c_pixbuf, pixbuf, applet_icon_area,
	prev_allocation, push_button, fixed_width, fixed_height,
	menu_font, status_font, foreground, background, textwidth,
	showtext, showicon, use_theme_font, use_theme_colors
	Add the following new fields: on_pixbuf, off_pixbuf, drawing_area,
	and conversion_mode.

	* src/gnome-im-switcher.glade2: Remove the appearance page of
	notebook since in the new simplified UI we just use the default
	color and font.

	* src/gimlet-off.png: New icon background image for language
	status when IM is off.

	* src/gimlet-on.png: Ditto for on.

	* src/gimlet-lang-data.h: New file in utf-8 encoding that carries
	the languages tables moved out of "languages.c" for encoding
	safety.  Change the name fields to the native name of the language
	[mostly copied from gdmlanguages.c].  Amharic, Arabic, Eritrean,
	Greek, Gujarati, Punjabi, Tamil and Telugu still missing native
	text.

	* src/constraint-scaling.h: Removed.  No longer used in new simply UI.

	* src/constraint-scaling.c: Ditto.

	* src/Makefile.am (gnome_im_switcher_applet_SOURCES): Remove
	constraint-scaling.c and constraint-scaling.h.
	Add gimlet-lang-data.h.
	(icons_DATA): Add gimlet-off.png and gimlet-on.png.

	* capplet/gnome-im-properties.schemas.in: Fix typo of "input" in
	long description of status_placement key.

	* capplet/main.c: Fix typo of "disabled".

	* capplet/im_settings_daemon.c: Ditto.

2004-09-22  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* configure.in: bump to 1.0.4
	* add help files
		omf.make
		xmldocs.make
		help
		help/C
		help/C/legal.xml
		help/C/figures
		help/C/figures/imswitcher.png
		help/C/l10n.txt
		help/C/Makefile.am
		help/C/imswitcher.xml
		help/C/imswitcher-C.omf
		help/Makefile.am

2004-09-10  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/preference.c: fix a spelling error: s/diasbled/disabled.

2004-08-05  Hidetoshi Tajima  <tajima@our.domain.is.not.set>

	* configure.in: add translation for 10 more languages,
	bump up 1.0.3

2004-07-22  Hidetoshi Tajima  <tajima@our.domain.is.not.set>

	* src/widgets.c (draw_scaled_icon): use theme colors for text correctly.

2004-07-16  Akira TAGOH  <tagoh@redhat.com>

	* src/iiim-interface.c (process_status_text): use 'OFF' instead of
	given status string, if it's IIIMF_STATUS_NO_STATUS_TEXT.

2004-07-15  Hidetoshi Tajima  <tajima@d-sjc07-023-223.SFBay.Sun.COM>

	* src/quick-access-menu.c, gnome-im-switcher.h, iiim-interface.c:
	switch multiple language engines for the same input language
	( great help from Yu Shao in adding this feature in GIMLET and IIIMGCF)

2004-06-14  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/Makefile.am (icons_DATA): added gnome-settings-im duplicate
	to install at /usr/share/pixmaps/ as well.

2004-06-10  Hidetoshi Tajima  <tajima@our.domain.is.not.set>

	* src/preference.c : 
	* src/GNOME_IMSwitcherApplet.server.in.in: 
	* src/widgets.c : 
	* src/gnome-im-switcher.schemas.in:
	use gnome-settings-im icon, instead of gnome-word.
	
	* src/Makefile.am (gnome_im_switcher_applet_SOURCES):
	include all header files to gnome_im_switcher_applet_SOURCES,
	so that "make dist" should include them into tarball.

	* configure.in: bump to 1.0.2

2004-05-12  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* capplet/Makefile.am (icons_DATA): add GIMPET icon.

2004-04-30  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/preference.c (text_width_changed): should use int type.

2004-04-29  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/language.c (update_active_languages_from_string_list):
	client given language may not match to IIIMF language.

2004-04-26  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* capplet/im_settings_daemon.c: typo fix.
	* capplet/main.c: typo fix.

2004-04-23  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* capplet/im_settings_daemon.c (main):
	added gnome-im-settings-daemon

	* capplet/main.c:
	set _IM_SETTINGS property on root_window for enabling/disabling
	input-methods, status, and lookup.

2004-04-22  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* capplet/gnome-im-properties.schemas.in:
	* capplet/Makefile.am
	add a scheme file source

	* src/preference.c: 
	* capplet/main.c : 
	* src/preference.c :
	enable/disable/change status apperance with IIIMGCF

2004-04-20  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/widgets.c, src/widget.h:
	* src/preference.c : 
	* src/gnome-im-switcher.h:
	respond to input method setting changes.

	* capplet/main.c : use string values for all four gconf keys.
	
	* configure.in
	* Makefile.am
	* README
	* capplet/gnome-im-properties.desktop.in
	* capplet/gnome-im-properties.glade2
	* capplet/Makefile.am

	Added gnome-im-properties
	
2004-04-02  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * src/language.c
  Added Amharic Input Mode

2004-04-01  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * src/language.c
  Added Vietnamese and Eritrean Input Mode

2004-03-31  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* src/iiim-interface.c (property_notify_switcher_window): 
	update gimlet window only when valid property data is sent
	(suggested by Yu Shao <yshao@redhat.com>'s patch)

2004-03-23  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* src/widgets.c (about_verb_cb): add 2004 to copyright.

	* configure.in (LIBGNOME_DESKTOP_REQUIRED): 
	updated GNOME package versions required to build GIMLET on 2.6.

	* src/preference.c (show_icon_changed):
	gconf callback functions registered with gconf_client_notify_add()
	will be called infinitely and eat up CPU unless they should be
	called only when the current value and the new value are
	different.
	[Seems this starts happening with new versions of libgconf in GNOME2.6.]

	* src/iiim-interface.c (property_notify_switcher_window) :
	gdk_property_get in gtk+-2.3 has to be given property_type
	argument explicitly while that in gtk+-2.2 did  not have to.

2004-02-02  Ervin Yan  <ervin.yan@sun.com>

	* src/widgets.c
	Add help perference support. start mozilla to show the IIIM documents.

2004-01-23  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/constraint-scaling.c
	* src/constraint-scaling.h
	* src/preference.c (text_width_size_changed):
	* src/gnome-im-switcher.glade2
	* src/gnome-im-switcher.h
	* src/gnome-im-switcher.schemas.in
	* src/widget.c
	add a spin button to change constraint width of status text in
	preference.

2004-01-09  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/gnome-im-switcher.schemas.in:
	showing icon on the panel is made default.

	* src/Makefile.am (gnome_im_switcher_applet_SOURCES):
	* src/constraint-scaling.c : added
	* src/constraint-scaling.h : added
	* src/gnome-im-switcher.h
	* src/iiim-interface.c
	* src/main.c
	* src/quick-access-menu.c
	* src/widgets.c:
	Use status string to put on icon. Scaling icons and changing
	fonts and colors are both effective.

	* src/gimlet-en.png: added
	* src/gimlet-he.png: added
	* src/gimlet-ko.png: added
	* src/gimlet-ru_RU.png: added
	* src/gimlet-zh_CN.png: added

2004-01-08  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/iiim-interface.c (process_conversion_mode):
	update icon when conversion mode changes.

2004-01-07  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-im-switcher-applet.spec.in (SCHEMAS):
	add char-specific icons.

	* src/gimlet-ja.png : added
	* src/Makefile.am (pixmaps_DATA): 
	install gimlet char-specific pixmaps to pixmapsdir.
	* src/widgets.c (gimlet_change_icon):
	* src/iiim-interface.c, src/quick-access-menu.c:
	set char-specific icon.

	use language specific icons. (4975045).

2004-01-07  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/language.c:
	use "Latin" instead of "English" for unit's EUROPEAN input mode.
	This is a part of the fix for 4951750 Message catalog file for GIMLET
	to translate strings from UNIT.

2004-01-06  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/iiim-interface.c (process_language_list):
	fix a memory free error.
	
2004-01-05  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/preference.c:
	* src/widgets.c, src/widgets.h:
	* src/main.c
	* src/quick-access-menu.c
	* src/gnome-im-switcher.glade2
	* src/gnome-im-switcher.h
	* src/gnome-im-switcher.schemas.in
	 changes for preference dialogs.
	
2003-12-16  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* major code rewriting and cleanup have been completed.

	  - "Add or Remove languages" to update quick access menu.
	  - Initially GIMLET has ASCII only.
	  - Each time a new client connects, the input language
	    is added to the quick access menu.

	  - will continue to test this for Qs build 03 integration...
	
2003-12-15  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/quick-menu.c: rename from src/lang-menu.c
	* src/language.c: added
	* src/gnome-im-switcher.glade2: added
	
	4951649: preference dialog is empty
	  Still unstable, not completed at all.

2003-12-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/widgets.c (gimswitcher_applet_create): 
	* src/lang-menu.c (activate_cb, gimswitcher_create_lang_menu):
	fix for 4966678: UI review: Click me or hit space bar is not good
	for tooltip statement.

	* src/widgets.c (do_not_eat_button_press):
	fix for 4966675: UI review: misbehaviour with button events.

	(place_widgets):
	fix for 4966682: UI review: Turn off icon by default

2003-11-19  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/message-dispatcher.c (process_current_input_language):
	sync-up with IIIMGCF to update input language selected in
	language menu.

2003-11-08  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/gnome-im-switcher-menu.c:
	use standard language names for Indic languages.

	* src/Makefile.am (INCLUDES):
	define IIIMLOCALEDIR for those language engines who would use
	non-predefined langauge names, hence include @domain= attrinbute
	in their language names.

2003-11-07  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* src/gnome-im-switcher-menu.c: correct some language name entries.

2003-10-30  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* Initial import; just show me but doing anything else yet :-)

